3

I know there are other questions like this but so far none of those solutions have worked for me.

Hi, im new to ubuntu and only got it yesterday. And late last night an error sign appeared in the top right corner of my screen.

The Error that appears is "An error occurred. Please run Package Manager from the right-click menu or run apt-get in a terminal to see whats wrong."

The error message was: 'Unknown Error:'' (E:Malformed Line 57 in source list/etc/apt/sources.list (dist parse))'.

"This usually means that your installed packages have unmet dependencies"

So i followed some other similar questions and tried those but nothing resolved the problem.

Here are the lines of code:

> 56    deb-src http://extras.ubuntu.com/ubuntu trusty main  
> 57    deb http://archive.canonical.com/ partner  
> 58    # deb-src http://archive.canonical.com/ partner 

I read online that canonical is like the devs of ubuntu or something like that so i think this could be serious maybe??? Any help would be appreciated.

4

Replace the lines 57 and 58 (58 is commented out, so does not get processed, but is wrong anyway)

deb http://archive.canonical.com/ partner  
# deb-src http://archive.canonical.com/ partner 

with the following:

deb http://archive.canonical.com/ trusty partner  
# deb-src http://archive.canonical.com/ trusty partner 

The reason for your error is that those two lines somehow got messed up and were wrong in syntax: The name of your Ubuntu version (trusty = 14.04) was missing.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.